<?php
saxue_includedb();
class saxuearticle extends saxueobjectdata {
		function saxuearticle() {
				$this -> initvar( "aid", SAXUE_TYPE_INT, 0, "文章编号", false, 11 );
				$this -> initvar( "topicid", SAXUE_TYPE_INT, 0, "主题ID", false, 11 );
				$this -> initvar( "cid", SAXUE_TYPE_INT, 0, "分类编号", false, 4 );
				$this -> initvar( "pid", SAXUE_TYPE_INT, 0, "父分类", false, 4 );
				$this -> initvar( "uid", SAXUE_TYPE_INT, 0, "会员ID", false, 11 );
				$this -> initvar( "views", SAXUE_TYPE_INT, 0, "浏览次数", false, 11 );
				$this -> initvar( "downs", SAXUE_TYPE_INT, 0, "下载次数", false, 11 );
				$this -> initvar( "favs", SAXUE_TYPE_INT, 0, "收藏次数", false, 11 );
				$this -> initvar( "tops", SAXUE_TYPE_INT, 0, "顶次数", false, 11 );
				$this -> initvar( "addtime", SAXUE_TYPE_INT, 0, "发布时间", false, 10 );
				$this -> initvar( "status", SAXUE_TYPE_INT, 0, "文章状态", false, 1 );
				$this -> initvar( "level", SAXUE_TYPE_INT, 0, "文章级别", false, 1 );
				$this -> initvar( "isthumb", SAXUE_TYPE_INT, 0, "有无缩略图", false, 1 );
				$this -> initvar( "ischapter", SAXUE_TYPE_INT, 0, "是否多章节", false, 1 );
				$this -> initvar( "isslide", SAXUE_TYPE_INT, 0, "是否图集", false, 1 );
				$this -> initvar( "isrobot", SAXUE_TYPE_INT, 0, "是否采集", false, 1 );
				$this -> initvar( "tbnum", SAXUE_TYPE_INT, 1, "数据分表", false, 2 );
		} 
} 

class saxuearticlehandler extends saxueobjecthandler {
		function saxuearticlehandler( $_db = "" ) {
				$this -> saxueobjecthandler( $_db );
				$this -> basename = "article";
				$this -> autoid = "aid";
				$this -> dbname = "article";
		} 
}